Subject: RE: Prblems understanding on how to install mod_ssl!

From: [email-masked]
Date: Thu, 24 Oct 2002 18:05:57 -0500

Ok I got it!  However during installation you need to create certificates.
You are asked a few questions.  Is there a way to automate this and do an
installation w/o having to prompt the user?(e.c. preedit a conf file)
Moreover when you try to 
start apache w/ ssl you are prompted for the pass phrase!  Why?  Is there a
way to disable this?

Best
Dino
P.S.  I am running apache 1.3.27

-----Original Message-----
From: Daniel Lopez
To: [email-masked]
Sent: 10/24/2002 4:13 PM
Subject: Re: Prblems understanding on how to install mod_ssl!

For detailed instructions on running mod_ssl for Apache 2
you can checkout a chapter I have online:
http://www.apacheworld.org/ty24/site.chapter17.html
It includes details on how to build openssl and use the openssl command
line
tool to generate your certificate and key

Cheers

Daniel

On Thu, Oct 24, 2002 at 03:47:32PM -0500, [email-masked]
wrote:
> The INSTALL file when I untar mod_ssl says:
> Configure and build the SSL library:
> ./config
> make
> make test
> 
> but it does not says to install nor does it gives you the instruction
to do:
> make install
> 
> Do I have to do this step.
> Then what is server.key and server.crt
> What step of which program generates them and where does it put them.
> Once again the INSTALL file says if your server (which server? apache
is not
> installed yet)
> has certificates allreaty provide the path else run make certificate!
Run
> certificate where?
> 
> Thanx in advance
> Dino
> ______________________________________________________________________
> Apache Interface to OpenSSL (mod_ssl)                   www.modssl.org
> User Support Mailing List                      [email-masked]
> Automated List Manager                            [email-masked]
______________________________________________________________________
Apache Interface to OpenSSL (mod_ssl)                   www.modssl.org
User Support Mailing List                      [email-masked]
Automated List Manager                            [email-masked]
______________________________________________________________________
Apache Interface to OpenSSL (mod_ssl)                   www.modssl.org
User Support Mailing List                      [email-masked]
Automated List Manager                            [email-masked]